How to fix Java Environment on Ubuntu 22.04 for Zotero? | pressku.com

Trending 2 months ago

I person installed nan programme Zotero connected /opt. I person problems pinch nan Java situation (JRE). On this post, it is said that 1 needs to tally sudo apt instal default-jre and sudo apt instal libreoffice-java-common. But I already person them:

$ sudo apt instal default-jre Reading package lists... Done Building dependency tree... Done Reading authorities information... Done default-jre is already nan newest type (2:1.11-72build2). 0 upgraded, 0 recently installed, 0 to region and 17 not upgraded. $ sudo apt -y instal libreoffice-java-common Reading package lists... Done Building dependency tree... Done Reading authorities information... Done libreoffice-java-common is already nan newest type (4:7.6.4-0ubuntu0.22.04.1~lo1). 0 upgraded, 0 recently installed, 0 to region and 17 not upgraded. $ java --version openjdk 11.0.21 2023-10-17 OpenJDK Runtime Environment (build 11.0.21+9-post-Ubuntu-0ubuntu122.04) OpenJDK 64-Bit Server VM (build 11.0.21+9-post-Ubuntu-0ubuntu122.04, mixed mode, sharing) $ ls /usr/lib/jvm/ java-11-openjdk-amd64

Still I americium getting Java errors erstwhile I commencement LibreOffice Writer:

enter image explanation here

There is not Java situation astatine each successful Tools>advanced:

enter image explanation here

It is not nan first clip that I group nan JRE and past it is mislaid aft a fewer months.

How tin I hole nan JRE for LibreOffice?

Thank you

More
close